Subject: Re: [nvo3] [bess] a question about bundled service in draft-ietf-bess-evpn-overlay-08

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Wed, 19 Jul 2017 07:14:16 +0000

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 18, 2017 at 10:39 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bess] a question about bundled service in draft-ietf-bess-evpn-overlay-08

This is what the draft says about bundled service:
https://tools.ietf.org/html/draft-ietf-bess-evpn-overlay-08#section-4

8) When a 802.1Q interface is used between a CE and a PE, each of the
   VLAN ID (VID) on that interface can be mapped onto a bridge table
   (for upto 4094 such bridge tables). All these bridge tables may be
   mapped onto a single MAC-VRF (in case of VLAN-aware bundle service).

So it sounds like 1:1 is supported (that's the straightforward case where the inner VLAD ID is stripped from the encap'ed packet) and All:1 is supported (i.e. the service is blind to the incoming tag and just preserves it as is, potentially with normalization if translation is required).

What about the case for n:1 where I want some subset of VLAN IDs coming in on a port to map to VNID1, and another subset map to VNID2?  Is that explicitly disallowed?  If so, why?

That's is also supported. Refer to section 6 of RFC 7432 for different service interfaces that are supported.

Cheers,
Ali

Thanks,
Anoop

---

From: Anoop Ghanwani <[email-masked]>
Date: Wed, 19 Jul 2017 09:11:23 -0700

Thanks Ali.

May be worth modifying the sentence below to say:

8) When a 802.1Q interface is used between a CE and a PE, each of the
   VLAN ID (VID) on that interface can be mapped onto a bridge table
   (for upto 4094 such bridge tables). More than one bridge table may be
   mapped onto a single MAC-VRF (in case of VLAN-aware bundle service).

Anoop

On Wed, Jul 19, 2017 at 12:14 AM, Ali Sajassi (sajassi) <[email-masked]>
wrote:

>
> From: BESS <[email-masked]> on behalf of Anoop Ghanwani <
> [email-masked]>
> To: "[email-masked]" <[email-masked]>
> So it sounds like 1:1 is supported (that's the straightforward case where
> the inner VLAD ID is stripped from the encap'ed packet) and All:1 is
> supported (i.e. the service is blind to the incoming tag and just preserves
> it as is, potentially with normalization if translation is required).
>
> What about the case for n:1 where I want some subset of VLAN IDs coming in
> on a port to map to VNID1, and another subset map to VNID2?  Is that
> explicitly disallowed?  If so, why?
>
> That’s is also supported. Refer to section 6 of RFC 7432 for different
> service interfaces that are supported.
>
> Cheers,
> Ali
>
> Thanks,
> Anoop
>
>
>
>

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Thu, 20 Jul 2017 00:17:55 +0000

Hi Anoop,

The provided text is fine. Given that it is just a minor clarification text, I think it should be OK to incorporate it; however, I need to check with the chairs and the AD given that this draft has already gone through the WG LC.

Cheers,
Ali

From: <[email-masked]<mailto:[email-masked]>> on behalf of Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, July 19, 2017 at 9:11 AM
To: Cisco Employee <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] a question about bundled service in draft-ietf-bess-evpn-overlay-08

Thanks Ali.

May be worth modifying the sentence below to say:

Anoop

On Wed, Jul 19, 2017 at 12:14 AM, Ali Sajassi (sajassi) <[email-masked]<mailto:[email-masked]>> wrote:

Cheers,
Ali

Thanks,
Anoop

---

From: Anoop Ghanwani <[email-masked]>
Date: Thu, 20 Jul 2017 11:41:27 -0700

Thanks Ali.

On Wed, Jul 19, 2017 at 5:17 PM, Ali Sajassi (sajassi) <[email-masked]>
wrote:

>
> Hi Anoop,
>
> The provided text is fine. Given that it is just a minor clarification
> text, I think it should be OK to incorporate it; however, I need to check
> with the chairs and the AD given that this draft has already gone through
> the WG LC.
>
> Cheers,
> Ali
>
> From: <[email-masked]> on behalf of Anoop Ghanwani <
> [email-masked]>
> To: Cisco Employee <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> On Wed, Jul 19, 2017 at 12:14 AM, Ali Sajassi (sajassi) <[email-masked]
> > wrote:
>
>>
>> What about the case for n:1 where I want some subset of VLAN IDs coming
>> in on a port to map to VNID1, and another subset map to VNID2?  Is that